<template>
  <div class="home">
    <edit-directory/>
    <div class="button-container">
      <button @click="onCreate" class="create-button">Create Directory</button>
    </div>
    <directory-list/>
  </div>
</template>

<style scoped>
.create-button {
  padding: 10px 15px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  font-weight: bold;
  transition: background-color 0.3s;
  background-color: #4caf50;
  color: white;
}

.create-button:hover {
  background-color: #66bb6a;
}

.button-container {
  display: flex;
  justify-content: center; /* Центрування по горизонталі */
  margin: 10px 0;
}
</style>
